Bug 1014661 - Required network checkbox selection not working properly when creating new network from Cluster tab
Required network checkbox selection not working properly when creating new ne...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
high Severity medium
: ---
: 3.3.0
Assigned To: Lior Vernia
GenadiC
network
:
Depends On:
Blocks: 3.3snap1
  Show dependency treegraph
 
Reported: 2013-10-02 09:49 EDT by GenadiC
Modified: 2016-02-10 14:57 EST (History)
8 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20008 None None None Never

  None (edit)
Description GenadiC 2013-10-02 09:49:12 EDT
Description of problem:
If you create new network from specific Cluster tab, then "Required Network" selection/de-selection from Attach/Detach Network to/from Cluster(s) is not working properly - > Unchecking checkbox doesn't remove "Required" checkbox for that Cluster or checking that checkbox (if unchecked) doesn't add "Required" checkbox for that Cluster 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create 2 Clusters for specific DC
2. Choose specific Cluster and under Logical Networks try to add the new network
3. Uncheck "Required all" checkbox
4) Uncheck checkbox for specific Cluster that was supposed to be unchecked in 3)
5) Check "Required all" checkbox

Actual results:
3) The checkbox for Cluster you create network from is still checked
5) The checkbox for Cluster you create network from is still unchecked

Expected results:
3) All Clusters checkbox should be unchecked when you use "Required all" 
5) All Cluster checkbox should be checked when you use "Required all"

Additional info:
Comment 1 GenadiC 2013-10-20 03:58:10 EDT
Verified in IS19
Comment 2 Itamar Heim 2014-01-21 17:21:27 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:26:49 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.